Subject: Re: linux-next: build failure after merge of the bpf-next tree

From: Daniel Xu <[email-masked]>
Date: Wed, 25 Aug 2021 19:01:11 -0700

Hi Stephen,

On Thu, Aug 26, 2021 at 11:50:50AM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the bpf-next tree, today's linux-next build (powerpc
> ppc64_defconfig) failed like this:
> 
> kernel/trace/bpf_trace.c:717:47: error: expected ')' before 'struct'
>   717 | BTF_ID_LIST_GLOBAL_SINGLE(btf_task_struct_ids, struct, task_struct)
>       |                                               ^~~~~~~
>       |                                               )
> kernel/trace/bpf_trace.c: In function 'bpf_tracing_func_proto':
> kernel/trace/bpf_trace.c:1051:11: error: 'bpf_get_current_task_btf_proto' undeclared (first use in this function); did you mean 'bpf_get_current_task_proto'?
>  1051 |   return &bpf_get_current_task_btf_proto;
>       |           ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
>       |           bpf_get_current_task_proto
> 
> Caused by commit
> 
>   33c5cb36015a ("bpf: Consolidate task_struct BTF_ID declarations")
> 
> I have used the bpf-next tree from next-20210825 for today.

Sorry about the breakage. I've put up
https://lore.kernel.org/bpf/[email-masked]/T/#u
which I think should fix it. Can you give that patch a try?

Thanks,
Daniel